#!/bin/bash
#------------------------------------------------------------------------------
# /var/install/dialog.d/BFB_BFBTABLES_CUI.sh
#
# Creation:     11.05.2020 OJae
# Last update:  11.05.2020 OJae
#
# Copyright (c) Olaf Jaehrling eisfair[at]ojaehrling[dot]de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{ 
    win="$p2"

    sellist="iptables,nftables"

    ece_select_list_dlg "$win" "Select mode" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0

